Ext.data.JsonP.DataTable({"tagname":"class","name":"DataTable","autodetected":{},"files":[{"filename":"datatables.js","href":"datatables.html#DataTable"}],"params":[{"tagname":"params","type":"object","name":"init","default":"{}","optional":true,"doc":"<p>Configuration object for DataTables. Options\n   are defined by DataTable.defaults\n +</p>\n\n<p> @example\n   // Basic initialisation\n   $(document).ready( function {\n     $('#example').dataTable();\n   } );</p>\n\n<p> @example\n   // Initialisation with configuration options - in this case, disable\n   // pagination and sorting.\n   $(document).ready( function {\n     $('#example').dataTable( {\n       \"paginate\": false,\n       \"sort\": false\n     } );\n   } );</p>\n","html_type":"object"}],"requires":["1.7","jQuery"],"members":[{"name":"$","tagname":"method","owner":"DataTable","id":"method-S-","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Highlight every second row\n oTable.$('tr:odd').css('backgroundColor', 'blue');\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Filter to rows with 'Webkit' in them, add a background colour and then\n // remove the filter, thus highlighting the 'Webkit' rows only.\n oTable.fnFilter('Webkit');\n oTable.$('tr', {\"search\": \"applied\"}).css('backgroundColor', 'blue');\n oTable.fnFilter('');\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"_","tagname":"method","owner":"DataTable","id":"method-_","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Get the data from the first row in the table\n var data = oTable._('tr:first');\n\n // Do something useful with the data\n alert( \"First cell is: \"+data[0] );\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Filter to 'Webkit' and get all data for\n oTable.fnFilter('Webkit');\n var data = oTable._('tr', {\"search\": \"applied\"});\n\n // Do something with the data\n alert( data.length+\" rows matched the search\" );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"_fnAddColumn","tagname":"method","owner":"DataTable","id":"method-_fnAddColumn","meta":{}},{"name":"_fnAddData","tagname":"method","owner":"DataTable","id":"method-_fnAddData","meta":{}},{"name":"_fnAddOptionsHtml","tagname":"method","owner":"DataTable","id":"method-_fnAddOptionsHtml","meta":{}},{"name":"_fnAddTr","tagname":"method","owner":"DataTable","id":"method-_fnAddTr","meta":{}},{"name":"_fnAdjustColumnSizing","tagname":"method","owner":"DataTable","id":"method-_fnAdjustColumnSizing","meta":{}},{"name":"_fnAjaxDataSrc","tagname":"method","owner":"DataTable","id":"method-_fnAjaxDataSrc","meta":{}},{"name":"_fnAjaxParameters","tagname":"method","owner":"DataTable","id":"method-_fnAjaxParameters","meta":{}},{"name":"_fnAjaxUpdate","tagname":"method","owner":"DataTable","id":"method-_fnAjaxUpdate","meta":{}},{"name":"_fnAjaxUpdateDraw","tagname":"method","owner":"DataTable","id":"method-_fnAjaxUpdateDraw","meta":{}},{"name":"_fnApplyColumnDefs","tagname":"method","owner":"DataTable","id":"method-_fnApplyColumnDefs","meta":{}},{"name":"_fnApplyToChildren","tagname":"method","owner":"DataTable","id":"method-_fnApplyToChildren","meta":{}},{"name":"_fnBindAction","tagname":"method","owner":"DataTable","id":"method-_fnBindAction","meta":{}},{"name":"_fnBrowserDetect","tagname":"method","owner":"DataTable","id":"method-_fnBrowserDetect","meta":{}},{"name":"_fnBuildAjax","tagname":"method","owner":"DataTable","id":"method-_fnBuildAjax","meta":{}},{"name":"_fnBuildHead","tagname":"method","owner":"DataTable","id":"method-_fnBuildHead","meta":{}},{"name":"_fnCalculateColumnWidths","tagname":"method","owner":"DataTable","id":"method-_fnCalculateColumnWidths","meta":{}},{"name":"_fnCallbackFire","tagname":"method","owner":"DataTable","id":"method-_fnCallbackFire","meta":{}},{"name":"_fnCallbackReg","tagname":"method","owner":"DataTable","id":"method-_fnCallbackReg","meta":{}},{"name":"_fnCamelToHungarian","tagname":"method","owner":"DataTable","id":"method-_fnCamelToHungarian","meta":{}},{"name":"_fnClearTable","tagname":"method","owner":"DataTable","id":"method-_fnClearTable","meta":{}},{"name":"_fnColumnIndexToVisible","tagname":"method","owner":"DataTable","id":"method-_fnColumnIndexToVisible","meta":{}},{"name":"_fnColumnOptions","tagname":"method","owner":"DataTable","id":"method-_fnColumnOptions","meta":{}},{"name":"_fnColumnTypes","tagname":"method","owner":"DataTable","id":"method-_fnColumnTypes","meta":{}},{"name":"_fnCompatCols","tagname":"method","owner":"DataTable","id":"method-_fnCompatCols","meta":{}},{"name":"_fnCompatMap","tagname":"method","owner":"DataTable","id":"method-_fnCompatMap","meta":{}},{"name":"_fnCompatOpts","tagname":"method","owner":"DataTable","id":"method-_fnCompatOpts","meta":{}},{"name":"_fnConvertToWidth","tagname":"method","owner":"DataTable","id":"method-_fnConvertToWidth","meta":{}},{"name":"_fnCreateTr","tagname":"method","owner":"DataTable","id":"method-_fnCreateTr","meta":{}},{"name":"_fnDataSource","tagname":"method","owner":"DataTable","id":"method-_fnDataSource","meta":{}},{"name":"_fnDeleteIndex","tagname":"method","owner":"DataTable","id":"method-_fnDeleteIndex","meta":{}},{"name":"_fnDetectHeader","tagname":"method","owner":"DataTable","id":"method-_fnDetectHeader","meta":{}},{"name":"_fnDraw","tagname":"method","owner":"DataTable","id":"method-_fnDraw","meta":{}},{"name":"_fnDrawHead","tagname":"method","owner":"DataTable","id":"method-_fnDrawHead","meta":{}},{"name":"_fnEscapeRegex","tagname":"method","owner":"DataTable","id":"method-_fnEscapeRegex","meta":{}},{"name":"_fnExtend","tagname":"method","owner":"DataTable","id":"method-_fnExtend","meta":{}},{"name":"_fnFeatureHtmlFilter","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlFilter","meta":{}},{"name":"_fnFeatureHtmlInfo","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlInfo","meta":{}},{"name":"_fnFeatureHtmlLength","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlLength","meta":{}},{"name":"_fnFeatureHtmlPaginate","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlPaginate","meta":{}},{"name":"_fnFeatureHtmlProcessing","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlProcessing","meta":{}},{"name":"_fnFeatureHtmlTable","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlTable","meta":{}},{"name":"_fnFilter","tagname":"method","owner":"DataTable","id":"method-_fnFilter","meta":{}},{"name":"_fnFilterColumn","tagname":"method","owner":"DataTable","id":"method-_fnFilterColumn","meta":{}},{"name":"_fnFilterComplete","tagname":"method","owner":"DataTable","id":"method-_fnFilterComplete","meta":{}},{"name":"_fnFilterCreateSearch","tagname":"method","owner":"DataTable","id":"method-_fnFilterCreateSearch","meta":{}},{"name":"_fnFilterCustom","tagname":"method","owner":"DataTable","id":"method-_fnFilterCustom","meta":{}},{"name":"_fnGetCellData","tagname":"method","owner":"DataTable","id":"method-_fnGetCellData","meta":{}},{"name":"_fnGetColumns","tagname":"method","owner":"DataTable","id":"method-_fnGetColumns","meta":{}},{"name":"_fnGetDataMaster","tagname":"method","owner":"DataTable","id":"method-_fnGetDataMaster","meta":{}},{"name":"_fnGetMaxLenString","tagname":"method","owner":"DataTable","id":"method-_fnGetMaxLenString","meta":{}},{"name":"_fnGetObjectDataFn","tagname":"method","owner":"DataTable","id":"method-_fnGetObjectDataFn","meta":{}},{"name":"_fnGetRowElements","tagname":"method","owner":"DataTable","id":"method-_fnGetRowElements","meta":{}},{"name":"_fnGetUniqueThs","tagname":"method","owner":"DataTable","id":"method-_fnGetUniqueThs","meta":{}},{"name":"_fnGetWidestNode","tagname":"method","owner":"DataTable","id":"method-_fnGetWidestNode","meta":{}},{"name":"_fnHungarianMap","tagname":"method","owner":"DataTable","id":"method-_fnHungarianMap","meta":{}},{"name":"_fnInitComplete","tagname":"method","owner":"DataTable","id":"method-_fnInitComplete","meta":{}},{"name":"_fnInitialise","tagname":"method","owner":"DataTable","id":"method-_fnInitialise","meta":{}},{"name":"_fnInvalidate","tagname":"method","owner":"DataTable","id":"method-_fnInvalidate","meta":{}},{"name":"_fnLanguageCompat","tagname":"method","owner":"DataTable","id":"method-_fnLanguageCompat","meta":{}},{"name":"_fnLoadState","tagname":"method","owner":"DataTable","id":"method-_fnLoadState","meta":{}},{"name":"_fnLog","tagname":"method","owner":"DataTable","id":"method-_fnLog","meta":{}},{"name":"_fnMap","tagname":"method","owner":"DataTable","id":"method-_fnMap","meta":{}},{"name":"_fnNodeToColumnIndex","tagname":"method","owner":"DataTable","id":"method-_fnNodeToColumnIndex","meta":{}},{"name":"_fnNodeToDataIndex","tagname":"method","owner":"DataTable","id":"method-_fnNodeToDataIndex","meta":{}},{"name":"_fnPageChange","tagname":"method","owner":"DataTable","id":"method-_fnPageChange","meta":{}},{"name":"_fnProcessingDisplay","tagname":"method","owner":"DataTable","id":"method-_fnProcessingDisplay","meta":{}},{"name":"_fnReDraw","tagname":"method","owner":"DataTable","id":"method-_fnReDraw","meta":{}},{"name":"_fnReduce","tagname":"method","owner":"DataTable","id":"method-_fnReduce","meta":{}},{"name":"_fnRowAttributes","tagname":"method","owner":"DataTable","id":"method-_fnRowAttributes","meta":{}},{"name":"_fnSaveState","tagname":"method","owner":"DataTable","id":"method-_fnSaveState","meta":{}},{"name":"_fnScrollBarWidth","tagname":"method","owner":"DataTable","id":"method-_fnScrollBarWidth","meta":{}},{"name":"_fnScrollDraw","tagname":"method","owner":"DataTable","id":"method-_fnScrollDraw","meta":{}},{"name":"_fnScrollingWidthAdjust","tagname":"method","owner":"DataTable","id":"method-_fnScrollingWidthAdjust","meta":{}},{"name":"_fnSearchToCamel","tagname":"method","owner":"DataTable","id":"method-_fnSearchToCamel","meta":{}},{"name":"_fnSearchToHung","tagname":"method","owner":"DataTable","id":"method-_fnSearchToHung","meta":{}},{"name":"_fnSetCellData","tagname":"method","owner":"DataTable","id":"method-_fnSetCellData","meta":{}},{"name":"_fnSetObjectDataFn","tagname":"method","owner":"DataTable","id":"method-_fnSetObjectDataFn","meta":{}},{"name":"_fnSettingsFromNode","tagname":"method","owner":"DataTable","id":"method-_fnSettingsFromNode","meta":{}},{"name":"_fnSort","tagname":"method","owner":"DataTable","id":"method-_fnSort","meta":{}},{"name":"_fnSortAttachListener","tagname":"method","owner":"DataTable","id":"method-_fnSortAttachListener","meta":{}},{"name":"_fnSortListener","tagname":"method","owner":"DataTable","id":"method-_fnSortListener","meta":{}},{"name":"_fnSortingClasses","tagname":"method","owner":"DataTable","id":"method-_fnSortingClasses","meta":{}},{"name":"_fnSplitObjNotation","tagname":"method","owner":"DataTable","id":"method-_fnSplitObjNotation","meta":{}},{"name":"_fnStringToCss","tagname":"method","owner":"DataTable","id":"method-_fnStringToCss","meta":{}},{"name":"_fnThrottle","tagname":"method","owner":"DataTable","id":"method-_fnThrottle","meta":{}},{"name":"_fnUpdateInfo","tagname":"method","owner":"DataTable","id":"method-_fnUpdateInfo","meta":{}},{"name":"_fnVisbleColumns","tagname":"method","owner":"DataTable","id":"method-_fnVisbleColumns","meta":{}},{"name":"_fnVisibleToColumnIndex","tagname":"method","owner":"DataTable","id":"method-_fnVisibleToColumnIndex","meta":{}},{"name":"api","tagname":"method","owner":"DataTable","id":"method-api","meta":{}},{"name":"fnAddData","tagname":"method","owner":"DataTable","id":"method-fnAddData","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   // Global var for counter\n   var giCount = 2;</p>\n\n<p>   $(document).ready(function() {\n     $('#example').dataTable();\n   } );</p>\n\n<p>   function fnClickAddRow() {\n     $('#example').dataTable().fnAddData( [\n       giCount+\".1\",\n       giCount+\".2\",\n       giCount+\".3\",\n       giCount+\".4\" ]\n     );</p>\n\n<pre><code> giCount++;\n</code></pre>\n\n<p>   }</p>\n"}}},{"name":"fnAdjustColumnSizing","tagname":"method","owner":"DataTable","id":"method-fnAdjustColumnSizing","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable( {\n       \"sScrollY\": \"200px\",\n       \"bPaginate\": false\n     } );</p>\n\n<pre><code> $(window).bind('resize', function () {\n   oTable.fnAdjustColumnSizing();\n } );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnClearTable","tagname":"method","owner":"DataTable","id":"method-fnClearTable","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Immediately 'nuke' the current rows (perhaps waiting for an Ajax callback...)\n oTable.fnClearTable();\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnClose","tagname":"method","owner":"DataTable","id":"method-fnClose","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnDeleteRow","tagname":"method","owner":"DataTable","id":"method-fnDeleteRow","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Immediately remove the first row\n oTable.fnDeleteRow( 0 );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnDestroy","tagname":"method","owner":"DataTable","id":"method-fnDestroy","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     // This example is fairly pointless in reality, but shows how fnDestroy can be used\n     var oTable = $('#example').dataTable();\n     oTable.fnDestroy();\n   } );</p>\n"}}},{"name":"fnDraw","tagname":"method","owner":"DataTable","id":"method-fnDraw","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Re-draw the table - you wouldn't want to do it here, but it's an example :-)\n oTable.fnDraw();\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnFilter","tagname":"method","owner":"DataTable","id":"method-fnFilter","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sometime later - filter...\n oTable.fnFilter( 'test string' );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnGetData","tagname":"method","owner":"DataTable","id":"method-fnGetData","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   // Row data\n   $(document).ready(function() {\n     oTable = $('#example').dataTable();</p>\n\n<pre><code> oTable.$('tr').click( function () {\n   var data = oTable.fnGetData( this );\n   // ... do something with the array / object of data for the row\n } );\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   // Individual cell data\n   $(document).ready(function() {\n     oTable = $('#example').dataTable();</p>\n\n<pre><code> oTable.$('td').click( function () {\n   var sData = oTable.fnGetData( this );\n   alert( 'The cell clicked on had the value of '+sData );\n } );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnGetNodes","tagname":"method","owner":"DataTable","id":"method-fnGetNodes","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Get the nodes from the table\n var nNodes = oTable.fnGetNodes( );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnGetPosition","tagname":"method","owner":"DataTable","id":"method-fnGetPosition","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     $('#example tbody td').click( function () {\n       // Get the position of the current data from the node\n       var aPos = oTable.fnGetPosition( this );</p>\n\n<pre><code>   // Get the data array for this row\n   var aData = oTable.fnGetData( aPos[0] );\n\n   // Update the data array and return the value\n   aData[ aPos[1] ] = 'clicked';\n   this.innerHTML = 'clicked';\n } );\n\n // Init DataTables\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnIsOpen","tagname":"method","owner":"DataTable","id":"method-fnIsOpen","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnOpen","tagname":"method","owner":"DataTable","id":"method-fnOpen","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnPageChange","tagname":"method","owner":"DataTable","id":"method-fnPageChange","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     oTable.fnPageChange( 'next' );\n   } );</p>\n"}}},{"name":"fnSetColumnVis","tagname":"method","owner":"DataTable","id":"method-fnSetColumnVis","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Hide the second column after initialisation\n oTable.fnSetColumnVis( 1, false );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnSettings","tagname":"method","owner":"DataTable","id":"method-fnSettings","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     var oSettings = oTable.fnSettings();</p>\n\n<pre><code> // Show an example parameter from the settings\n alert( oSettings._iDisplayStart );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnSort","tagname":"method","owner":"DataTable","id":"method-fnSort","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sort immediately with columns 0 and 1\n oTable.fnSort( [ [0,'asc'], [1,'asc'] ] );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnSortListener","tagname":"method","owner":"DataTable","id":"method-fnSortListener","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sort on column 1, when 'sorter' is clicked on\n oTable.fnSortListener( document.getElementById('sorter'), 1 );\n</code></pre>\n\n<p>   } );</p>\n"}}},{"name":"fnUpdate","tagname":"method","owner":"DataTable","id":"method-fnUpdate","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     oTable.fnUpdate( 'Example update', 0, 0 ); // Single cell\n     oTable.fnUpdate( ['a', 'b', 'c', 'd', 'e'], $('tbody tr')[0] ); // Row\n   } );</p>\n"}}},{"name":"fnVersionCheck","tagname":"method","owner":"DataTable","id":"method-fnVersionCheck","meta":{"deprecated":{"text":"<p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     alert( oTable.fnVersionCheck( '1.9.0' ) );\n   } );</p>\n"}}}],"alternateClassNames":[],"aliases":{},"id":"class-DataTable","short_doc":"DataTables is a plug-in for the jQuery Javascript library. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Requires</h4><div class='dependency'>1.7</div><div class='dependency'><a href='#!/api/jQuery' rel='jQuery' class='docClass'>jQuery</a></div><h4>Files</h4><div class='dependency'><a href='source/datatables.html#DataTable' target='_blank'>datatables.js</a></div></pre><div class='doc-contents'><p>DataTables is a plug-in for the jQuery Javascript library. It is a highly\nflexible tool, based upon the foundations of progressive enhancement,\nwhich will add advanced interaction controls to any HTML table. For a\nfull list of features please refer to\n<a href=\"href=%22http://datatables.net\">DataTables.net</a>.</p>\n\n<p>Note that the <code>DataTable</code> object is not a global variable but is aliased\nto <code>jQuery.fn.DataTable</code> and <code>jQuery.fn.dataTable</code> through which it may\nbe  accessed.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>init</span> : object (optional)<div class='sub-desc'><p>Configuration object for DataTables. Options\n   are defined by DataTable.defaults\n +</p>\n\n<p> @example\n   // Basic initialisation\n   $(document).ready( function {\n     $('#example').dataTable();\n   } );</p>\n\n<p> @example\n   // Initialisation with configuration options - in this case, disable\n   // pagination and sorting.\n   $(document).ready( function {\n     $('#example').dataTable( {\n       \"paginate\": false,\n       \"sort\": false\n     } );\n   } );</p>\n<p>Defaults to: <code>{}</code></p></div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-S-' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-S-' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-S-' class='name expandable'>$</a>( <span class='pre'>sSelector, [oOpts]</span> ) : object<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Perform a jQuery selector action on the table's TR elements (from the tbody) and\nreturn the resulting jQuery object. ...</div><div class='long'><p>Perform a jQuery selector action on the table's TR elements (from the tbody) and\nreturn the resulting jQuery object.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Highlight every second row\n oTable.$('tr:odd').css('backgroundColor', 'blue');\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Filter to rows with 'Webkit' in them, add a background colour and then\n // remove the filter, thus highlighting the 'Webkit' rows only.\n oTable.fnFilter('Webkit');\n oTable.$('tr', {\"search\": \"applied\"}).css('backgroundColor', 'blue');\n oTable.fnFilter('');\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sSelector</span> : string|node|jQuery<div class='sub-desc'><p>jQuery selector or node collection to act on</p>\n</div></li><li><span class='pre'>oOpts</span> : object (optional)<div class='sub-desc'><p>Optional parameters for modifying the rows to be included</p>\n<ul><li><span class='pre'>filter</span> : string (optional)<div class='sub-desc'><p>Select TR elements that meet the current filter\n   criterion (\"applied\") or all TR elements (i.e. no filter).</p>\n<p>Defaults to: <code>none</code></p></div></li><li><span class='pre'>order</span> : string (optional)<div class='sub-desc'><p>Order of the TR elements in the processed array.\n   Can be either 'current', whereby the current sorting of the table is used, or\n   'original' whereby the original order the data was read into the table is used.</p>\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>page</span> : string (optional)<div class='sub-desc'><p>Limit the selection to the currently displayed page\n   (\"current\") or not (\"all\"). If 'current' is given, then order is assumed to be\n   'current' and filter is 'applied', regardless of what they might be given as.</p>\n<p>Defaults to: <code>all</code></p></div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>jQuery object, filtered by the given selector.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-_' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_' class='name expandable'>_</a>( <span class='pre'>sSelector, [oOpts]</span> ) : array<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Almost identical to $ in operation, but in this case returns the data for the matched\nrows - as such, the jQuery sele...</div><div class='long'><p>Almost identical to $ in operation, but in this case returns the data for the matched\nrows - as such, the jQuery selector used should match TR row nodes or TD/TH cell nodes\nrather than any descendants, so the data can be obtained for the row/cell. If matching\nrows are found, the data returned is the original data array/object that was used to\ncreate the row (or a generated array if from a DOM source).</p>\n\n<p>This method is often useful in-combination with $ where both functions are given the\nsame parameters and the array indexes will match identically.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Get the data from the first row in the table\n var data = oTable._('tr:first');\n\n // Do something useful with the data\n alert( \"First cell is: \"+data[0] );\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Filter to 'Webkit' and get all data for\n oTable.fnFilter('Webkit');\n var data = oTable._('tr', {\"search\": \"applied\"});\n\n // Do something with the data\n alert( data.length+\" rows matched the search\" );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sSelector</span> : string|node|jQuery<div class='sub-desc'><p>jQuery selector or node collection to act on</p>\n</div></li><li><span class='pre'>oOpts</span> : object (optional)<div class='sub-desc'><p>Optional parameters for modifying the rows to be included</p>\n<ul><li><span class='pre'>filter</span> : string (optional)<div class='sub-desc'><p>Select elements that meet the current filter\n   criterion (\"applied\") or all elements (i.e. no filter).</p>\n<p>Defaults to: <code>none</code></p></div></li><li><span class='pre'>order</span> : string (optional)<div class='sub-desc'><p>Order of the data in the processed array.\n   Can be either 'current', whereby the current sorting of the table is used, or\n   'original' whereby the original order the data was read into the table is used.</p>\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>page</span> : string (optional)<div class='sub-desc'><p>Limit the selection to the currently displayed page\n   (\"current\") or not (\"all\"). If 'current' is given, then order is assumed to be\n   'current' and filter is 'applied', regardless of what they might be given as.</p>\n<p>Defaults to: <code>all</code></p></div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Data for the matched elements. If any elements, as a result of the\n   selector, were not TR, TD or TH elements in the DataTable, they will have a null\n   entry in the array.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-_fnAddColumn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddColumn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddColumn' class='name expandable'>_fnAddColumn</a>( <span class='pre'>oSettings, nTh</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add a column to the list used for the table with default values ...</div><div class='long'><p>Add a column to the list used for the table with default values</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>nTh</span> : node<div class='sub-desc'><p>The th element for this column\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnAddData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddData' class='name expandable'>_fnAddData</a>( <span class='pre'>oSettings, aData, [nTr], [anTds]</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Add a data array to the table, creating DOM node etc. ...</div><div class='long'><p>Add a data array to the table, creating DOM node etc. This is the parallel to\n_fnGatherData, but for adding rows from a Javascript source, rather than a\nDOM source.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>data array to be added</p>\n</div></li><li><span class='pre'>nTr</span> : node (optional)<div class='sub-desc'><p>TR element to add to the table - optional. If not given,\n   DataTables will create a row automatically</p>\n</div></li><li><span class='pre'>anTds</span> : array (optional)<div class='sub-desc'><p>Array of TD|TH elements for the row - must be given\n   if nTr is.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><blockquote><p>=0 if successful (index of new aoData entry), -1 if failed\n @memberof DataTable#oApi</p></blockquote>\n</div></li></ul></div></div></div><div id='method-_fnAddOptionsHtml' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddOptionsHtml' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddOptionsHtml' class='name expandable'>_fnAddOptionsHtml</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add the options to the page HTML for the table ...</div><div class='long'><p>Add the options to the page HTML for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnAddTr' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddTr' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddTr' class='name expandable'>_fnAddTr</a>( <span class='pre'>settings, trs</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Add one or more TR elements to the table. ...</div><div class='long'><p>Add one or more TR elements to the table. Generally we'd expect to\nuse this for reading data from a DOM sourced table, but it could be\nused for an TR element. Note that if a TR is given, it is used (i.e.\nit is not cloned).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>trs</span> : array|node|jQuery<div class='sub-desc'><p>The TR element(s) to add to the table</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Array of indexes for the added rows\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnAdjustColumnSizing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAdjustColumnSizing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAdjustColumnSizing' class='name expandable'>_fnAdjustColumnSizing</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adjust the table column widths for new data. ...</div><div class='long'><p>Adjust the table column widths for new data. Note: you would probably want to\ndo a redraw after calling this function!</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxDataSrc' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxDataSrc' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxDataSrc' class='name expandable'>_fnAjaxDataSrc</a>( <span class='pre'>oSettings, json</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the data from the JSON data source to use for drawing a table. ...</div><div class='long'><p>Get the data from the JSON data source to use for drawing a table. Using\n<code>_fnGetObjectDataFn</code> allows the data to be sourced from a property of the\nsource object, or from a processing function.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>json</span> : object<div class='sub-desc'><p>Data source object / array from the server</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Array of data to use</p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxParameters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxParameters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxParameters' class='name expandable'>_fnAjaxParameters</a>( <span class='pre'>oSettings</span> ) : bool<span class=\"signature\"></span></div><div class='description'><div class='short'>Build up the parameters in an object needed for a server-side processing\nrequest. ...</div><div class='long'><p>Build up the parameters in an object needed for a server-side processing\nrequest. Note that this is basically done twice, is different ways - a modern\nmethod which is used by default in DataTables 1.10 which uses objects and\narrays, or the 1.9- method with is name / value pairs. 1.9 method is used if\nthe sAjaxSource option is used in the initialisation, or the legacyAjax\noption is set.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>bool</span><div class='sub-desc'><p>block the table drawing or not\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxUpdate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxUpdate' class='name expandable'>_fnAjaxUpdate</a>( <span class='pre'>settings</span> ) : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Update the table using an Ajax call ...</div><div class='long'><p>Update the table using an Ajax call</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>Block the table drawing or not\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxUpdateDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxUpdateDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxUpdateDraw' class='name expandable'>_fnAjaxUpdateDraw</a>( <span class='pre'>oSettings, json</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Data the data from the server (nuking the old) and redraw the table ...</div><div class='long'><p>Data the data from the server (nuking the old) and redraw the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>json</span> : object<div class='sub-desc'><p>json data return from the server.</p>\n<ul><li><span class='pre'>sEcho</span> : string<div class='sub-desc'><p>Tracking flag for DataTables to match requests</p>\n</div></li><li><span class='pre'>iTotalRecords</span> : int<div class='sub-desc'><p>Number of records in the data set, not accounting for filtering</p>\n</div></li><li><span class='pre'>iTotalDisplayRecords</span> : int<div class='sub-desc'><p>Number of records in the data set, accounting for filtering</p>\n</div></li><li><span class='pre'>aaData</span> : array<div class='sub-desc'><p>The data to display on this page</p>\n</div></li><li><span class='pre'>sColumns</span> : string (optional)<div class='sub-desc'><p>Column ordering (sName, comma separated)\n @memberof DataTable#oApi</p>\n</div></li></ul></div></li></ul></div></div></div><div id='method-_fnApplyColumnDefs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnApplyColumnDefs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnApplyColumnDefs' class='name expandable'>_fnApplyColumnDefs</a>( <span class='pre'>oSettings, aoColDefs, aoCols, fn</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Take the column definitions and static columns arrays and calculate how\nthey relate to column indexes. ...</div><div class='long'><p>Take the column definitions and static columns arrays and calculate how\nthey relate to column indexes. The callback function will then apply the\ndefinition found for a column to a suitable configuration object.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>aoColDefs</span> : array<div class='sub-desc'><p>The aoColumnDefs array that is to be applied</p>\n</div></li><li><span class='pre'>aoCols</span> : array<div class='sub-desc'><p>The aoColumns array that defines columns individually</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Callback function - takes two parameters, the calculated\n   column index and the definition for that column.\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnApplyToChildren' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnApplyToChildren' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnApplyToChildren' class='name expandable'>_fnApplyToChildren</a>( <span class='pre'>fn, array, array</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply a given function to the display child nodes of an element array (typically\nTD children of TR rows ...</div><div class='long'><p>Apply a given function to the display child nodes of an element array (typically\nTD children of TR rows</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Method to apply to the objects</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{nodes} an1 List of elements to look through for display children</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{nodes} an2 Another list (identical structure to the first) - optional\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnBindAction' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBindAction' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBindAction' class='name expandable'>_fnBindAction</a>( <span class='pre'>n, oData, fn</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Bind an event handers to allow a click or return key to activate the callback. ...</div><div class='long'><p>Bind an event handers to allow a click or return key to activate the callback.\nThis is good for accessibility since a return on the keyboard will have the\nsame effect as a click, if the element has focus.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>n</span> : element<div class='sub-desc'><p>Element to bind the action to</p>\n</div></li><li><span class='pre'>oData</span> : object<div class='sub-desc'><p>Data object to pass to the triggered function</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Callback function for when the event is triggered\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnBrowserDetect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBrowserDetect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBrowserDetect' class='name expandable'>_fnBrowserDetect</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Browser feature detection for capabilities, quirks ...</div><div class='long'><p>Browser feature detection for capabilities, quirks</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnBuildAjax' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBuildAjax' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBuildAjax' class='name expandable'>_fnBuildAjax</a>( <span class='pre'>oSettings, data, fn</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create an Ajax call based on the table's settings, taking into account that\nparameters can have multiple forms, and b...</div><div class='long'><p>Create an Ajax call based on the table's settings, taking into account that\nparameters can have multiple forms, and backwards compatibility.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>data</span> : array<div class='sub-desc'><p>Data to send to the server, required by\n    DataTables - may be augmented by developer callbacks</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Callback function to run when data is obtained</p>\n</div></li></ul></div></div></div><div id='method-_fnBuildHead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBuildHead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBuildHead' class='name expandable'>_fnBuildHead</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create the HTML header for the table ...</div><div class='long'><p>Create the HTML header for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnCalculateColumnWidths' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCalculateColumnWidths' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCalculateColumnWidths' class='name expandable'>_fnCalculateColumnWidths</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Calculate the width of columns for the table ...</div><div class='long'><p>Calculate the width of columns for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnCallbackFire' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCallbackFire' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCallbackFire' class='name expandable'>_fnCallbackFire</a>( <span class='pre'>settings, callbackArr, event, args</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fire callback functions and trigger events. ...</div><div class='long'><p>Fire callback functions and trigger events. Note that the loop over the\ncallback array store is done backwards! Further note that you do not want to\nfire off triggers in time sensitive applications (for example cell creation)\nas its slow.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>callbackArr</span> : string<div class='sub-desc'><p>Name of the array storage for the callbacks in\n     oSettings</p>\n</div></li><li><span class='pre'>event</span> : string<div class='sub-desc'><p>Name of the jQuery custom event to trigger. If null no\n     trigger is fired</p>\n</div></li><li><span class='pre'>args</span> : array<div class='sub-desc'><p>Array of arguments to pass to the callback function /\n     trigger\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnCallbackReg' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCallbackReg' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCallbackReg' class='name expandable'>_fnCallbackReg</a>( <span class='pre'>oSettings, sStore, fn, sName</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Register a callback function. ...</div><div class='long'><p>Register a callback function. Easily allows a callback function to be added to\nan array store of callback functions that can then all be called together.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sStore</span> : string<div class='sub-desc'><p>Name of the array storage for the callbacks in oSettings</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Function to be called back</p>\n</div></li><li><span class='pre'>sName</span> : string<div class='sub-desc'><p>Identifying name for the callback (i.e. a label)\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnCamelToHungarian' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCamelToHungarian' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCamelToHungarian' class='name expandable'>_fnCamelToHungarian</a>( <span class='pre'>src, user, force</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Convert from camel case parameters to Hungarian, based on a Hungarian map\ncreated by _fnHungarianMap. ...</div><div class='long'><p>Convert from camel case parameters to Hungarian, based on a Hungarian map\ncreated by _fnHungarianMap.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>src</span> : object<div class='sub-desc'><p>The model object which holds all parameters that can be\n   mapped.</p>\n</div></li><li><span class='pre'>user</span> : object<div class='sub-desc'><p>The object to convert from camel case to Hungarian.</p>\n</div></li><li><span class='pre'>force</span> : boolean<div class='sub-desc'><p>When set to <code>true</code>, properties which already have a\n   Hungarian value in the <code>user</code> object will be overwritten. Otherwise they\n   won't be.\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnClearTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnClearTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnClearTable' class='name expandable'>_fnClearTable</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Nuke the table ...</div><div class='long'><p>Nuke the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnColumnIndexToVisible' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnColumnIndexToVisible' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnColumnIndexToVisible' class='name expandable'>_fnColumnIndexToVisible</a>( <span class='pre'>iMatch, oSettings</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Covert the index of an index in the data array and convert it to the visible\n  column index (take account of hidden c...</div><div class='long'><p>Covert the index of an index in the data array and convert it to the visible\n  column index (take account of hidden columns)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iMatch</span> : int<div class='sub-desc'><p>Column index to lookup</p>\n</div></li><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>i the data index\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnColumnOptions' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnColumnOptions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnColumnOptions' class='name expandable'>_fnColumnOptions</a>( <span class='pre'>oSettings, iCol, oOptions</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply options for a column ...</div><div class='long'><p>Apply options for a column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>column index to consider</p>\n</div></li><li><span class='pre'>oOptions</span> : object<div class='sub-desc'><p>object with sType, bVisible and bSearchable etc\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnColumnTypes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnColumnTypes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnColumnTypes' class='name expandable'>_fnColumnTypes</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Calculate the 'type' of a column ...</div><div class='long'><p>Calculate the 'type' of a column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnCompatCols' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCompatCols' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCompatCols' class='name expandable'>_fnCompatCols</a>( <span class='pre'>init</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Provide backwards compatibility for column options. ...</div><div class='long'><p>Provide backwards compatibility for column options. Note that the new options\nare mapped onto the old parameters, so this is an external interface change\nonly.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>init</span> : object<div class='sub-desc'><p>Object to map</p>\n</div></li></ul></div></div></div><div id='method-_fnCompatMap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCompatMap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCompatMap' class='name expandable'>_fnCompatMap</a>( <span class='pre'>o, knew, old</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Map one parameter onto another ...</div><div class='long'><p>Map one parameter onto another</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : object<div class='sub-desc'><p>Object to map</p>\n</div></li><li><span class='pre'>knew</span> : *<div class='sub-desc'><p>The new parameter name</p>\n</div></li><li><span class='pre'>old</span> : *<div class='sub-desc'><p>The old parameter name</p>\n</div></li></ul></div></div></div><div id='method-_fnCompatOpts' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCompatOpts' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCompatOpts' class='name expandable'>_fnCompatOpts</a>( <span class='pre'>init</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Provide backwards compatibility for the main DT options. ...</div><div class='long'><p>Provide backwards compatibility for the main DT options. Note that the new\noptions are mapped onto the old parameters, so this is an external interface\nchange only.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>init</span> : object<div class='sub-desc'><p>Object to map</p>\n</div></li></ul></div></div></div><div id='method-_fnConvertToWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnConvertToWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnConvertToWidth' class='name expandable'>_fnConvertToWidth</a>( <span class='pre'>width, parent</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Convert a CSS unit width to pixels (e.g. ...</div><div class='long'><p>Convert a CSS unit width to pixels (e.g. 2em)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : string<div class='sub-desc'><p>width to be converted</p>\n</div></li><li><span class='pre'>parent</span> : node<div class='sub-desc'><p>parent to get the with for (required for relative widths) - optional</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>width in pixels\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnCreateTr' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCreateTr' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCreateTr' class='name expandable'>_fnCreateTr</a>( <span class='pre'>oSettings, iRow, [nTrIn], [anTds]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new TR element (and it's TD children) for a row ...</div><div class='long'><p>Create a new TR element (and it's TD children) for a row</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>Row to consider</p>\n</div></li><li><span class='pre'>nTrIn</span> : node (optional)<div class='sub-desc'><p>TR element to add to the table - optional. If not given,\n   DataTables will create a row automatically</p>\n</div></li><li><span class='pre'>anTds</span> : array (optional)<div class='sub-desc'><p>Array of TD|TH elements for the row - must be given\n   if nTr is.\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnDataSource' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDataSource' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDataSource' class='name expandable'>_fnDataSource</a>( <span class='pre'>settings</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Detect the data source being used for the table. ...</div><div class='long'><p>Detect the data source being used for the table. Used to simplify the code\na little (ajax) and to make it compress a little smaller.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>Data source\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnDeleteIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDeleteIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDeleteIndex' class='name expandable'>_fnDeleteIndex</a>( <span class='pre'>a, iTarget</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Take an array of integers (index array) and remove a target integer (value - not\nthe key!) ...</div><div class='long'><p>Take an array of integers (index array) and remove a target integer (value - not\nthe key!)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>a</span> : array<div class='sub-desc'><p>Index array to target</p>\n</div></li><li><span class='pre'>iTarget</span> : int<div class='sub-desc'><p>value to find\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnDetectHeader' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDetectHeader' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDetectHeader' class='name expandable'>_fnDetectHeader</a>( <span class='pre'>array, nThead</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Use the DOM source to create up an array of header cells. ...</div><div class='long'><p>Use the DOM source to create up an array of header cells. The idea here is to\ncreate a layout grid (array) of rows x columns, which contains a reference\nto the cell that that point in the grid (regardless of col/rowspan), such that\nany column / row could be removed and the new grid constructed</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{object} aLayout Array to store the calculated layout in</p>\n</div></li><li><span class='pre'>nThead</span> : node<div class='sub-desc'><p>The header/footer element for the table\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDraw' class='name expandable'>_fnDraw</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Insert the required TR nodes into the table for display ...</div><div class='long'><p>Insert the required TR nodes into the table for display</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnDrawHead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDrawHead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDrawHead' class='name expandable'>_fnDrawHead</a>( <span class='pre'>oSettings, array, [bIncludeHidden]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draw the header (or footer) element based on the column visibility states. ...</div><div class='long'><p>Draw the header (or footer) element based on the column visibility states. The\nmethodology here is to use the layout array from _fnDetectHeader, modified for\nthe instantaneous column visibility, to construct the new layout. The grid is\ntraversed over cell at a time in a rows x columns grid fashion, although each\ncell insert can cover multiple elements in the grid - which is tracks using the\naApplied array. Cell inserts in the grid will only occur where there isn't\nalready a cell in that position.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{objects} aoSource Layout array from _fnDetectHeader</p>\n</div></li><li><span class='pre'>bIncludeHidden</span> : boolean (optional)<div class='sub-desc'><p>If true then include the hidden columns in the calc,\n @memberof DataTable#oApi</p>\n<p>Defaults to: <code>false</code></p></div></li></ul></div></div></div><div id='method-_fnEscapeRegex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnEscapeRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnEscapeRegex' class='name expandable'>_fnEscapeRegex</a>( <span class='pre'>sVal</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Escape a string such that it can be used in a regular expression ...</div><div class='long'><p>Escape a string such that it can be used in a regular expression</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sVal</span> : string<div class='sub-desc'><p>string to escape</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>escaped string\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnExtend' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnExtend' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnExtend' class='name expandable'>_fnExtend</a>( <span class='pre'>out, extender, breakRefs</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Extend objects - very similar to jQuery.extend, but deep copy objects, and\nshallow copy arrays. ...</div><div class='long'><p>Extend objects - very similar to jQuery.extend, but deep copy objects, and\nshallow copy arrays. The reason we need to do this, is that we don't want to\ndeep copy array init values (such as aaSorting) since the dev wouldn't be\nable to override them, but we do want to deep copy arrays.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>out</span> : object<div class='sub-desc'><p>Object to extend</p>\n</div></li><li><span class='pre'>extender</span> : object<div class='sub-desc'><p>Object from which the properties will be applied to\n     out</p>\n</div></li><li><span class='pre'>breakRefs</span> : boolean<div class='sub-desc'><p>If true, then arrays will be sliced to take an\n     independent copy with the exception of the <code>data</code> or <code>aaData</code> parameters\n     if they are present. This is so you can pass in a collection to\n     DataTables and have that used as your data source without breaking the\n     references</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>out Reference, just for convenience - out === the return.\n @memberof DataTable#oApi\n @todo This doesn't take account of arrays inside the deep copied objects.</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlFilter' class='name expandable'>_fnFeatureHtmlFilter</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for filtering text ...</div><div class='long'><p>Generate the node required for filtering text</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Filter control element</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlInfo' class='name expandable'>_fnFeatureHtmlInfo</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for the info display ...</div><div class='long'><p>Generate the node required for the info display</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Information element\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlLength' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlLength' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlLength' class='name expandable'>_fnFeatureHtmlLength</a>( <span class='pre'>settings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for user display length changing ...</div><div class='long'><p>Generate the node required for user display length changing</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Display length feature node\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlPaginate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlPaginate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlPaginate' class='name expandable'>_fnFeatureHtmlPaginate</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for default pagination ...</div><div class='long'><p>Generate the node required for default pagination</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Pagination feature node\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlProcessing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlProcessing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlProcessing' class='name expandable'>_fnFeatureHtmlProcessing</a>( <span class='pre'>settings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for the processing node ...</div><div class='long'><p>Generate the node required for the processing node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Processing element\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlTable' class='name expandable'>_fnFeatureHtmlTable</a>( <span class='pre'>settings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Add any control elements for the table - specifically scrolling ...</div><div class='long'><p>Add any control elements for the table - specifically scrolling</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Node to add to the DOM\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilter' class='name expandable'>_fnFilter</a>( <span class='pre'>settings, input, force, regex, smart, caseInsensitive</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the data table based on user input and draw the table ...</div><div class='long'><p>Filter the data table based on user input and draw the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>input</span> : string<div class='sub-desc'><p>string to filter on</p>\n</div></li><li><span class='pre'>force</span> : int<div class='sub-desc'><p>optional - force a research of the master array (1) or not (undefined or 0)</p>\n</div></li><li><span class='pre'>regex</span> : bool<div class='sub-desc'><p>treat as a regular expression or not</p>\n</div></li><li><span class='pre'>smart</span> : bool<div class='sub-desc'><p>perform smart filtering or not</p>\n</div></li><li><span class='pre'>caseInsensitive</span> : bool<div class='sub-desc'><p>Do case insenstive matching or not\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFilterColumn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterColumn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterColumn' class='name expandable'>_fnFilterColumn</a>( <span class='pre'>oSettings, sInput, iColumn, bRegex, bSmart, bCaseInsensitive</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the table on a per-column basis ...</div><div class='long'><p>Filter the table on a per-column basis</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sInput</span> : string<div class='sub-desc'><p>string to filter on</p>\n</div></li><li><span class='pre'>iColumn</span> : int<div class='sub-desc'><p>column to filter</p>\n</div></li><li><span class='pre'>bRegex</span> : bool<div class='sub-desc'><p>treat search string as a regular expression or not</p>\n</div></li><li><span class='pre'>bSmart</span> : bool<div class='sub-desc'><p>use smart filtering or not</p>\n</div></li><li><span class='pre'>bCaseInsensitive</span> : bool<div class='sub-desc'><p>Do case insenstive matching or not\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFilterComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterComplete' class='name expandable'>_fnFilterComplete</a>( <span class='pre'>oSettings, oSearch, [iForce]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the table using both the global filter and column based filtering ...</div><div class='long'><p>Filter the table using both the global filter and column based filtering</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>oSearch</span> : object<div class='sub-desc'><p>search information</p>\n</div></li><li><span class='pre'>iForce</span> : int (optional)<div class='sub-desc'><p>force a research of the master array (1) or not (undefined or 0)\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFilterCreateSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterCreateSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterCreateSearch' class='name expandable'>_fnFilterCreateSearch</a>( <span class='pre'>sSearch, bRegex, bSmart, bCaseInsensitive</span> ) : RegExp<span class=\"signature\"></span></div><div class='description'><div class='short'>Build a regular expression object suitable for searching a table ...</div><div class='long'><p>Build a regular expression object suitable for searching a table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sSearch</span> : string<div class='sub-desc'><p>string to search for</p>\n</div></li><li><span class='pre'>bRegex</span> : bool<div class='sub-desc'><p>treat as a regular expression or not</p>\n</div></li><li><span class='pre'>bSmart</span> : bool<div class='sub-desc'><p>perform smart filtering or not</p>\n</div></li><li><span class='pre'>bCaseInsensitive</span> : bool<div class='sub-desc'><p>Do case insensitive matching or not</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>RegExp</span><div class='sub-desc'><p>constructed object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnFilterCustom' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterCustom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterCustom' class='name expandable'>_fnFilterCustom</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply custom filtering functions ...</div><div class='long'><p>Apply custom filtering functions</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetCellData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetCellData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetCellData' class='name expandable'>_fnGetCellData</a>( <span class='pre'>settings, rowIdx, colIdx, type</span> ) : *<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the data for a given cell from the internal cache, taking into account data mapping ...</div><div class='long'><p>Get the data for a given cell from the internal cache, taking into account data mapping</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>rowIdx</span> : int<div class='sub-desc'><p>aoData row id</p>\n</div></li><li><span class='pre'>colIdx</span> : int<div class='sub-desc'><p>Column index</p>\n</div></li><li><span class='pre'>type</span> : string<div class='sub-desc'><p>data get type ('display', 'type' 'filter' 'sort')</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>*</span><div class='sub-desc'><p>Cell data\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetColumns' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetColumns' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetColumns' class='name expandable'>_fnGetColumns</a>( <span class='pre'>oSettings, sParam</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Get an array of column indexes that match a given property ...</div><div class='long'><p>Get an array of column indexes that match a given property</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sParam</span> : string<div class='sub-desc'><p>Parameter in aoColumns to look for - typically\n   bVisible or bSearchable</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Array of indexes with matched properties\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetDataMaster' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetDataMaster' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetDataMaster' class='name expandable'>_fnGetDataMaster</a>( <span class='pre'>oSettings</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Return an array with the full table data ...</div><div class='long'><p>Return an array with the full table data</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>array {array} aData Master data array\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetMaxLenString' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetMaxLenString' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetMaxLenString' class='name expandable'>_fnGetMaxLenString</a>( <span class='pre'>settings, colIdx</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the maximum strlen for each data column ...</div><div class='long'><p>Get the maximum strlen for each data column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>colIdx</span> : int<div class='sub-desc'><p>column of interest</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>max string length for each column\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetObjectDataFn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetObjectDataFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetObjectDataFn' class='name expandable'>_fnGetObjectDataFn</a>( <span class='pre'>mSource</span> ) : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Return a function that can be used to get data from a source object, taking\ninto account the ability to use nested ob...</div><div class='long'><p>Return a function that can be used to get data from a source object, taking\ninto account the ability to use nested objects as a source</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mSource</span> : string|int|function<div class='sub-desc'><p>The data source for the object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>function</span><div class='sub-desc'><p>Data get function\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetRowElements' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetRowElements' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetRowElements' class='name expandable'>_fnGetRowElements</a>( <span class='pre'>settings, TR, [colIdx], [d]</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Build a data source object from an HTML row, reading the contents of the\ncells that are in the row. ...</div><div class='long'><p>Build a data source object from an HTML row, reading the contents of the\ncells that are in the row.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>TR</span> : node|object<div class='sub-desc'><p>element from which to read data or existing row\n  object from which to re-read the data from the cells</p>\n</div></li><li><span class='pre'>colIdx</span> : int (optional)<div class='sub-desc'><p>Optional column index</p>\n</div></li><li><span class='pre'>d</span> : array|object (optional)<div class='sub-desc'><p>Data source object. If <code>colIdx</code> is given then this\n  parameter should also be given and will be used to write the data into.\n  Only the column in question will be written</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>Object with two parameters: <code>data</code> the data read, in\n  document order, and <code>cells</code> and array of nodes (they can be useful to the\n  caller, so rather than needing a second traversal to get them, just return\n  them from here).\n@memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetUniqueThs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetUniqueThs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetUniqueThs' class='name expandable'>_fnGetUniqueThs</a>( <span class='pre'>oSettings, nHeader, aLayout</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Get an array of unique th elements, one for each column ...</div><div class='long'><p>Get an array of unique th elements, one for each column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>nHeader</span> : node<div class='sub-desc'><p>automatically detect the layout from this node - optional</p>\n</div></li><li><span class='pre'>aLayout</span> : array<div class='sub-desc'><p>thead/tfoot layout from _fnDetectHeader - optional</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>array {node} aReturn list of unique th's\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnGetWidestNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetWidestNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetWidestNode' class='name expandable'>_fnGetWidestNode</a>( <span class='pre'>settings, colIdx</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the widest node ...</div><div class='long'><p>Get the widest node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>colIdx</span> : int<div class='sub-desc'><p>column of interest</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>widest table node\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnHungarianMap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnHungarianMap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnHungarianMap' class='name expandable'>_fnHungarianMap</a>( <span class='pre'>o</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a mapping object that allows camel case parameters to be looked up\nfor their Hungarian counterparts. ...</div><div class='long'><p>Create a mapping object that allows camel case parameters to be looked up\nfor their Hungarian counterparts. The mapping is stored in a private\nparameter called <code>_hungarianMap</code> which can be accessed on the source object.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : object<div class='sub-desc'><p>@memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnInitComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnInitComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnInitComplete' class='name expandable'>_fnInitComplete</a>( <span class='pre'>oSettings, [json]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draw the table for the first time, adding all required features ...</div><div class='long'><p>Draw the table for the first time, adding all required features</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>json</span> : object (optional)<div class='sub-desc'><p>JSON from the server that completed the table, if using Ajax source\n   with client-side processing (optional)\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnInitialise' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnInitialise' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnInitialise' class='name expandable'>_fnInitialise</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draw the table for the first time, adding all required features ...</div><div class='long'><p>Draw the table for the first time, adding all required features</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnInvalidate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnInvalidate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnInvalidate' class='name expandable'>_fnInvalidate</a>( <span class='pre'>settings, rowIdx, [src], [colIdx]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Mark cached data as invalid such that a re-read of the data will occur when\nthe cached data is next requested. ...</div><div class='long'><p>Mark cached data as invalid such that a re-read of the data will occur when\nthe cached data is next requested. Also update from the data source object.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>rowIdx</span> : int<div class='sub-desc'><p>Row index to invalidate</p>\n</div></li><li><span class='pre'>src</span> : string (optional)<div class='sub-desc'><p>Source to invalidate from: undefined, 'auto', 'dom'\n    or 'data'</p>\n</div></li><li><span class='pre'>colIdx</span> : int (optional)<div class='sub-desc'><p>Column index to invalidate. If undefined the whole\n    row will be invalidated\n@memberof DataTable#oApi</p>\n\n<p>@todo For the modularisation of v1.11 this will need to become a callback, so\n  the sort and filter methods can subscribe to it. That will required\n  initialisation options for sorting, which is why it is not already baked in</p>\n</div></li></ul></div></div></div><div id='method-_fnLanguageCompat' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnLanguageCompat' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnLanguageCompat' class='name expandable'>_fnLanguageCompat</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Language compatibility - when certain options are given, and others aren't, we\nneed to duplicate the values over, in ...</div><div class='long'><p>Language compatibility - when certain options are given, and others aren't, we\nneed to duplicate the values over, in order to provide backwards compatibility\nwith older language files.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnLoadState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnLoadState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnLoadState' class='name expandable'>_fnLoadState</a>( <span class='pre'>oSettings, oInit</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Attempt to load a saved table state ...</div><div class='long'><p>Attempt to load a saved table state</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>oInit</span> : object<div class='sub-desc'><p>DataTables init object so we can override settings\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnLog' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnLog' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnLog' class='name expandable'>_fnLog</a>( <span class='pre'>settings, level, msg, tn</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Log an error message ...</div><div class='long'><p>Log an error message</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>level</span> : int<div class='sub-desc'><p>log error messages, or display them to the user</p>\n</div></li><li><span class='pre'>msg</span> : string<div class='sub-desc'><p>error message</p>\n</div></li><li><span class='pre'>tn</span> : int<div class='sub-desc'><p>Technical note id to get more information about the error.\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnMap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnMap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnMap' class='name expandable'>_fnMap</a>( <span class='pre'>ret, src, name, [mappedName]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>See if a property is defined on one object, if so assign it to the other object ...</div><div class='long'><p>See if a property is defined on one object, if so assign it to the other object</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ret</span> : object<div class='sub-desc'><p>target object</p>\n</div></li><li><span class='pre'>src</span> : object<div class='sub-desc'><p>source object</p>\n</div></li><li><span class='pre'>name</span> : string<div class='sub-desc'><p>property</p>\n</div></li><li><span class='pre'>mappedName</span> : string (optional)<div class='sub-desc'><p>name to map too - optional, name used if not given\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnNodeToColumnIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnNodeToColumnIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnNodeToColumnIndex' class='name expandable'>_fnNodeToColumnIndex</a>( <span class='pre'>oSettings, iRow, n</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Take a TD element and convert it into a column data index (not the visible index) ...</div><div class='long'><p>Take a TD element and convert it into a column data index (not the visible index)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>The row number the TD/TH can be found in</p>\n</div></li><li><span class='pre'>n</span> : node<div class='sub-desc'><p>The TD/TH element to find</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>index if the node is found, -1 if not\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnNodeToDataIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnNodeToDataIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnNodeToDataIndex' class='name expandable'>_fnNodeToDataIndex</a>( <span class='pre'>oSettings, n</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Take a TR element and convert it to an index in aoData ...</div><div class='long'><p>Take a TR element and convert it to an index in aoData</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>n</span> : node<div class='sub-desc'><p>the TR element to find</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>index if the node is found, null if not\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnPageChange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnPageChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnPageChange' class='name expandable'>_fnPageChange</a>( <span class='pre'>settings, action, [bool]</span> ) : bool<span class=\"signature\"></span></div><div class='description'><div class='short'>Alter the display settings to change the page ...</div><div class='long'><p>Alter the display settings to change the page</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>action</span> : string|int<div class='sub-desc'><p>Paging action to take: \"first\", \"previous\",\n   \"next\" or \"last\" or page number to jump to (integer)</p>\n</div></li><li><span class='pre'>bool</span> : Object (optional)<div class='sub-desc'><p>redraw Automatically draw the update or not</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>bool</span><div class='sub-desc'><p>true page has changed, false - no change\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnProcessingDisplay' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnProcessingDisplay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnProcessingDisplay' class='name expandable'>_fnProcessingDisplay</a>( <span class='pre'>settings, show</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Display or hide the processing indicator ...</div><div class='long'><p>Display or hide the processing indicator</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>show</span> : bool<div class='sub-desc'><p>Show the processing indicator (true) or not (false)\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnReDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnReDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnReDraw' class='name expandable'>_fnReDraw</a>( <span class='pre'>oSettings, [holdPosition]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Redraw the table - taking account of the various features which are enabled ...</div><div class='long'><p>Redraw the table - taking account of the various features which are enabled</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>holdPosition</span> : boolean (optional)<div class='sub-desc'><p>Keep the current paging position. By default\n   the paging is reset to the first page\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnReduce' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnReduce' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnReduce' class='name expandable'>_fnReduce</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Array.prototype reduce[Right] method, used for browsers which don't support\nJS 1.6. ...</div><div class='long'><p>Array.prototype reduce[Right] method, used for browsers which don't support\nJS 1.6. Done this way to reduce code size, since we iterate either way</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnRowAttributes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnRowAttributes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnRowAttributes' class='name expandable'>_fnRowAttributes</a>( <span class='pre'>DataTables</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add attributes to a row based on the special DT_* parameters in a data\nsource object. ...</div><div class='long'><p>Add attributes to a row based on the special <code>DT_*</code> parameters in a data\nsource object.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>DataTables</span> : object<div class='sub-desc'><p>row object for the row to be modified\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSaveState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSaveState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSaveState' class='name expandable'>_fnSaveState</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Save the state of a table ...</div><div class='long'><p>Save the state of a table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnScrollBarWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnScrollBarWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnScrollBarWidth' class='name expandable'>_fnScrollBarWidth</a>( <span class='pre'></span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the width of a scroll bar in this browser being used ...</div><div class='long'><p>Get the width of a scroll bar in this browser being used</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>width in pixels\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnScrollDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnScrollDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnScrollDraw' class='name expandable'>_fnScrollDraw</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Update the header, footer and body tables for resizing - i.e. ...</div><div class='long'><p>Update the header, footer and body tables for resizing - i.e. column\nalignment.</p>\n\n<p>Welcome to the most horrible function DataTables. The process that this\nfunction follows is basically:\n  1. Re-create the table inside the scrolling div\n  2. Take live measurements from the DOM\n  3. Apply the measurements to align the columns\n  4. Clean up</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnScrollingWidthAdjust' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnScrollingWidthAdjust' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnScrollingWidthAdjust' class='name expandable'>_fnScrollingWidthAdjust</a>( <span class='pre'>oSettings, n</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adjust a table's width to take account of vertical scroll bar ...</div><div class='long'><p>Adjust a table's width to take account of vertical scroll bar</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>n</span> : node<div class='sub-desc'><p>table node\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSearchToCamel' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSearchToCamel' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSearchToCamel' class='name expandable'>_fnSearchToCamel</a>( <span class='pre'>obj</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Convert from the internal Hungarian notation to camelCase for external\ninteraction ...</div><div class='long'><p>Convert from the internal Hungarian notation to camelCase for external\ninteraction</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>obj</span> : object<div class='sub-desc'><p>Object to convert</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>Inverted object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSearchToHung' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSearchToHung' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSearchToHung' class='name expandable'>_fnSearchToHung</a>( <span class='pre'>obj</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Convert from camelCase notation to the internal Hungarian. ...</div><div class='long'><p>Convert from camelCase notation to the internal Hungarian. We could use the\nHungarian convert function here, but this is cleaner</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>obj</span> : object<div class='sub-desc'><p>Object to convert</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>Inverted object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSetCellData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSetCellData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSetCellData' class='name expandable'>_fnSetCellData</a>( <span class='pre'>settings, rowIdx, colIdx, val</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Set the value for a specific cell, into the internal data cache ...</div><div class='long'><p>Set the value for a specific cell, into the internal data cache</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>rowIdx</span> : int<div class='sub-desc'><p>aoData row id</p>\n</div></li><li><span class='pre'>colIdx</span> : int<div class='sub-desc'><p>Column index</p>\n</div></li><li><span class='pre'>val</span> : *<div class='sub-desc'><p>Value to set\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSetObjectDataFn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSetObjectDataFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSetObjectDataFn' class='name expandable'>_fnSetObjectDataFn</a>( <span class='pre'>mSource</span> ) : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Return a function that can be used to set data from a source object, taking\ninto account the ability to use nested ob...</div><div class='long'><p>Return a function that can be used to set data from a source object, taking\ninto account the ability to use nested objects as a source</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mSource</span> : string|int|function<div class='sub-desc'><p>The data source for the object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>function</span><div class='sub-desc'><p>Data set function\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSettingsFromNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSettingsFromNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSettingsFromNode' class='name expandable'>_fnSettingsFromNode</a>( <span class='pre'>table</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Return the settings object for a particular table ...</div><div class='long'><p>Return the settings object for a particular table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>table</span> : node<div class='sub-desc'><p>table we are using as a dataTable</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>Settings object - or null if not found\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSort' class='name expandable'>_fnSort</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Change the order of the table ...</div><div class='long'><p>Change the order of the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi\n @todo This really needs split up!</p>\n</div></li></ul></div></div></div><div id='method-_fnSortAttachListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSortAttachListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSortAttachListener' class='name expandable'>_fnSortAttachListener</a>( <span class='pre'>settings, attachTo, colIdx, [callback]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Attach a sort handler (click) to a node ...</div><div class='long'><p>Attach a sort handler (click) to a node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>attachTo</span> : node<div class='sub-desc'><p>node to attach the handler to</p>\n</div></li><li><span class='pre'>colIdx</span> : int<div class='sub-desc'><p>column sorting index</p>\n</div></li><li><span class='pre'>callback</span> : function (optional)<div class='sub-desc'><p>callback function\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSortListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSortListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSortListener' class='name expandable'>_fnSortListener</a>( <span class='pre'>settings, attachTo, colIdx, [append], [callback]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Function to run on user sort request ...</div><div class='long'><p>Function to run on user sort request</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>attachTo</span> : node<div class='sub-desc'><p>node to attach the handler to</p>\n</div></li><li><span class='pre'>colIdx</span> : int<div class='sub-desc'><p>column sorting index</p>\n</div></li><li><span class='pre'>append</span> : boolean (optional)<div class='sub-desc'><p>Append the requested sort to the existing\n   sort if true (i.e. multi-column sort)</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>callback</span> : function (optional)<div class='sub-desc'><p>callback function\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSortingClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSortingClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSortingClasses' class='name expandable'>_fnSortingClasses</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Set the sorting classes on table's body, Note: it is safe to call this function\nwhen bSort and bSortClasses are false ...</div><div class='long'><p>Set the sorting classes on table's body, Note: it is safe to call this function\nwhen bSort and bSortClasses are false</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnSplitObjNotation' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSplitObjNotation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSplitObjNotation' class='name expandable'>_fnSplitObjNotation</a>( <span class='pre'>str</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Split string on periods, taking into account escaped periods ...</div><div class='long'><p>Split string on periods, taking into account escaped periods</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>str</span> : string<div class='sub-desc'><p>String to split</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Split string</p>\n</div></li></ul></div></div></div><div id='method-_fnStringToCss' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnStringToCss' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnStringToCss' class='name expandable'>_fnStringToCss</a>( <span class='pre'>value</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Append a CSS unit (only if required) to a string ...</div><div class='long'><p>Append a CSS unit (only if required) to a string</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : string<div class='sub-desc'><p>to css-ify</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>value with css unit\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnThrottle' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnThrottle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnThrottle' class='name expandable'>_fnThrottle</a>( <span class='pre'>fn, [freq]</span> ) : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Throttle the calls to a function. ...</div><div class='long'><p>Throttle the calls to a function. Arguments and context are maintained for\nthe throttled function</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Function to be called</p>\n</div></li><li><span class='pre'>freq</span> : int (optional)<div class='sub-desc'><p>call frequency in mS</p>\n<p>Defaults to: <code>200</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>function</span><div class='sub-desc'><p>wrapped function\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnUpdateInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnUpdateInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnUpdateInfo' class='name expandable'>_fnUpdateInfo</a>( <span class='pre'>settings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Update the information elements in the display ...</div><div class='long'><p>Update the information elements in the display</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>settings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnVisbleColumns' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnVisbleColumns' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnVisbleColumns' class='name expandable'>_fnVisbleColumns</a>( <span class='pre'>oSettings</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the number of visible columns ...</div><div class='long'><p>Get the number of visible columns</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>i the number of visible columns\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-_fnVisibleToColumnIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnVisibleToColumnIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnVisibleToColumnIndex' class='name expandable'>_fnVisibleToColumnIndex</a>( <span class='pre'>oSettings, iMatch</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Covert the index of a visible column to the index in the data array (take account\nof hidden columns) ...</div><div class='long'><p>Covert the index of a visible column to the index in the data array (take account\nof hidden columns)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iMatch</span> : int<div class='sub-desc'><p>Visible column index to lookup</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>i the data index\n @memberof DataTable#oApi</p>\n</div></li></ul></div></div></div><div id='method-api' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-api' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-api' class='name expandable'>api</a>( <span class='pre'>[traditional]</span> ) : DataTables.Api<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a DataTables Api instance, with the currently selected tables for\nthe Api's context. ...</div><div class='long'><p>Create a DataTables Api instance, with the currently selected tables for\nthe Api's context.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>traditional</span> : boolean (optional)<div class='sub-desc'><p>Set the API instance's context to be\n  only the table referred to by the <code>DataTable.ext.iApiIndex</code> option, as was\n  used in the API presented by DataTables 1.9- (i.e. the traditional mode),\n  or if all tables captured in the jQuery object should be used.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>DataTables.Api</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-fnAddData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnAddData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnAddData' class='name expandable'>fnAddData</a>( <span class='pre'>data, [redraw]</span> ) : array<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Add a single new row or multiple rows of data to the table. ...</div><div class='long'><p>Add a single new row or multiple rows of data to the table. Please note\nthat this is suitable for client-side processing only - if you are using\nserver-side processing (i.e. \"bServerSide\": true), then to add data, you\nmust add it to the data source, i.e. the server-side, through an Ajax call.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   // Global var for counter\n   var giCount = 2;</p>\n\n<p>   $(document).ready(function() {\n     $('#example').dataTable();\n   } );</p>\n\n<p>   function fnClickAddRow() {\n     $('#example').dataTable().fnAddData( [\n       giCount+\".1\",\n       giCount+\".2\",\n       giCount+\".3\",\n       giCount+\".4\" ]\n     );</p>\n\n<pre><code> giCount++;\n</code></pre>\n\n<p>   }</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>data</span> : array|object<div class='sub-desc'><p>The data to be added to the table. This can be:\n   <ul>\n     <li>1D array of data - add a single row with the data provided</li>\n     <li>2D array of arrays - add multiple rows in a single call</li>\n     <li>object - data object when using <i>mData</i></li>\n     <li>array of objects - multiple data objects when using <i>mData</i></li>\n   </ul></p>\n</div></li><li><span class='pre'>redraw</span> : bool (optional)<div class='sub-desc'><p>redraw the table or not</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>An array of integers, representing the list of indexes in\n   <i>aoData</i> (DataTable.models.oSettings) that have been added to\n   the table.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnAdjustColumnSizing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnAdjustColumnSizing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnAdjustColumnSizing' class='name expandable'>fnAdjustColumnSizing</a>( <span class='pre'>[bRedraw]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>This function will make DataTables recalculate the column sizes, based on the data\ncontained in the table and the siz...</div><div class='long'><p>This function will make DataTables recalculate the column sizes, based on the data\ncontained in the table and the sizes applied to the columns (in the DOM, CSS or\nthrough the sWidth parameter). This can be useful when the width of the table's\nparent element changes (for example a window resize).</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable( {\n       \"sScrollY\": \"200px\",\n       \"bPaginate\": false\n     } );</p>\n\n<pre><code> $(window).bind('resize', function () {\n   oTable.fnAdjustColumnSizing();\n } );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bRedraw</span> : boolean (optional)<div class='sub-desc'><p>Redraw the table or not, you will typically want to\n @dtopt API</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnClearTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnClearTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnClearTable' class='name expandable'>fnClearTable</a>( <span class='pre'>[bRedraw]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Quickly and simply clear a table ...</div><div class='long'><p>Quickly and simply clear a table</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Immediately 'nuke' the current rows (perhaps waiting for an Ajax callback...)\n oTable.fnClearTable();\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>redraw the table or not\n @dtopt API</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnClose' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnClose' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnClose' class='name expandable'>fnClose</a>( <span class='pre'>nTr</span> ) : int<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The exact opposite of 'opening' a row, this function will close any rows which\nare currently 'open'. ...</div><div class='long'><p>The exact opposite of 'opening' a row, this function will close any rows which\nare currently 'open'.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTr</span> : node<div class='sub-desc'><p>the table row to 'close'</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>0 on success, or 1 if failed (can't find the row)\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnDeleteRow' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnDeleteRow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnDeleteRow' class='name expandable'>fnDeleteRow</a>( <span class='pre'>target, [callBack], [redraw]</span> ) : array<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Remove a row for the table ...</div><div class='long'><p>Remove a row for the table</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Immediately remove the first row\n oTable.fnDeleteRow( 0 );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>target</span> : mixed<div class='sub-desc'><p>The index of the row from aoData to be deleted, or\n   the TR element you want to delete</p>\n</div></li><li><span class='pre'>callBack</span> : function|null (optional)<div class='sub-desc'><p>Callback function</p>\n</div></li><li><span class='pre'>redraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>The row that was deleted\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnDestroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnDestroy' class='name expandable'>fnDestroy</a>( <span class='pre'>[remove]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Restore the table to it's original state in the DOM by removing all of DataTables\nenhancements, alterations to the DO...</div><div class='long'><p>Restore the table to it's original state in the DOM by removing all of DataTables\nenhancements, alterations to the DOM structure of the table and event listeners.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     // This example is fairly pointless in reality, but shows how fnDestroy can be used\n     var oTable = $('#example').dataTable();\n     oTable.fnDestroy();\n   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>remove</span> : boolean (optional)<div class='sub-desc'><p>Completely remove the table from the DOM\n @dtopt API</p>\n<p>Defaults to: <code>false</code></p></div></li></ul></div></div></div><div id='method-fnDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnDraw' class='name expandable'>fnDraw</a>( <span class='pre'>[complete]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Redraw the table ...</div><div class='long'><p>Redraw the table</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Re-draw the table - you wouldn't want to do it here, but it's an example :-)\n oTable.fnDraw();\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>complete</span> : bool (optional)<div class='sub-desc'><p>Re-filter and resort (if enabled) the table before the draw.\n @dtopt API</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnFilter' class='name expandable'>fnFilter</a>( <span class='pre'>sInput, [iColumn], [bRegex], [bSmart], [bShowGlobal], [bCaseInsensitive]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Filter the input based on data ...</div><div class='long'><p>Filter the input based on data</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sometime later - filter...\n oTable.fnFilter( 'test string' );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sInput</span> : string<div class='sub-desc'><p>String to filter the table on</p>\n</div></li><li><span class='pre'>iColumn</span> : int|null (optional)<div class='sub-desc'><p>Column to limit filtering to</p>\n</div></li><li><span class='pre'>bRegex</span> : bool (optional)<div class='sub-desc'><p>Treat as regular expression or not</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>bSmart</span> : bool (optional)<div class='sub-desc'><p>Perform smart filtering or not</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>bShowGlobal</span> : bool (optional)<div class='sub-desc'><p>Show the input global filter in it's input box(es)</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>bCaseInsensitive</span> : bool (optional)<div class='sub-desc'><p>Do case-insensitive matching (true) or not (false)\n @dtopt API</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnGetData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnGetData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnGetData' class='name expandable'>fnGetData</a>( <span class='pre'>[src], [col]</span> ) : array|object|string<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Get the data for the whole table, an individual row or an individual cell based on the\nprovided parameters. ...</div><div class='long'><p>Get the data for the whole table, an individual row or an individual cell based on the\nprovided parameters.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   // Row data\n   $(document).ready(function() {\n     oTable = $('#example').dataTable();</p>\n\n<pre><code> oTable.$('tr').click( function () {\n   var data = oTable.fnGetData( this );\n   // ... do something with the array / object of data for the row\n } );\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   // Individual cell data\n   $(document).ready(function() {\n     oTable = $('#example').dataTable();</p>\n\n<pre><code> oTable.$('td').click( function () {\n   var sData = oTable.fnGetData( this );\n   alert( 'The cell clicked on had the value of '+sData );\n } );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>src</span> : int|node (optional)<div class='sub-desc'><p>A TR row node, TD/TH cell node or an integer. If given as\n   a TR node then the data source for the whole row will be returned. If given as a\n   TD/TH cell node then iCol will be automatically calculated and the data for the\n   cell returned. If given as an integer, then this is treated as the aoData internal\n   data index for the row (see fnGetPosition) and the data for that row used.</p>\n</div></li><li><span class='pre'>col</span> : int (optional)<div class='sub-desc'><p>Optional column index that you want the data of.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array|object|string</span><div class='sub-desc'><p>If mRow is undefined, then the data for all rows is\n   returned. If mRow is defined, just data for that row, and is iCol is\n   defined, only data for the designated cell is returned.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnGetNodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnGetNodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnGetNodes' class='name expandable'>fnGetNodes</a>( <span class='pre'>[iRow]</span> ) : array|node<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Get an array of the TR nodes that are used in the table's body. ...</div><div class='long'><p>Get an array of the TR nodes that are used in the table's body. Note that you will\ntypically want to use the '$' API method in preference to this as it is more\nflexible.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Get the nodes from the table\n var nNodes = oTable.fnGetNodes( );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iRow</span> : int (optional)<div class='sub-desc'><p>Optional row index for the TR element you want</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array|node</span><div class='sub-desc'><p>If iRow is undefined, returns an array of all TR elements\n   in the table's body, or iRow is defined, just the TR element requested.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnGetPosition' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnGetPosition' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnGetPosition' class='name expandable'>fnGetPosition</a>( <span class='pre'>node</span> ) : int<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Get the array indexes of a particular cell from it's DOM element\nand column index including hidden columns ...</div><div class='long'><p>Get the array indexes of a particular cell from it's DOM element\nand column index including hidden columns</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     $('#example tbody td').click( function () {\n       // Get the position of the current data from the node\n       var aPos = oTable.fnGetPosition( this );</p>\n\n<pre><code>   // Get the data array for this row\n   var aData = oTable.fnGetData( aPos[0] );\n\n   // Update the data array and return the value\n   aData[ aPos[1] ] = 'clicked';\n   this.innerHTML = 'clicked';\n } );\n\n // Init DataTables\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : node<div class='sub-desc'><p>this can either be a TR, TD or TH in the table's body</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>If nNode is given as a TR, then a single index is returned, or\n   if given as a cell, an array of [row index, column index (visible),\n   column index (all)] is given.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnIsOpen' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnIsOpen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnIsOpen' class='name expandable'>fnIsOpen</a>( <span class='pre'>nTr</span> ) : boolean<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Check to see if a row is 'open' or not. ...</div><div class='long'><p>Check to see if a row is 'open' or not.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTr</span> : node<div class='sub-desc'><p>the table row to check</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true if the row is currently open, false otherwise\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnOpen' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnOpen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnOpen' class='name expandable'>fnOpen</a>( <span class='pre'>nTr, mHtml, sClass</span> ) : node<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>This function will place a new row directly after a row which is currently\non display on the page, with the HTML cont...</div><div class='long'><p>This function will place a new row directly after a row which is currently\non display on the page, with the HTML contents that is passed into the\nfunction. This can be used, for example, to ask for confirmation that a\nparticular record should be deleted.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTr</span> : node<div class='sub-desc'><p>The table row to 'open'</p>\n</div></li><li><span class='pre'>mHtml</span> : string|node|jQuery<div class='sub-desc'><p>The HTML to put into the row</p>\n</div></li><li><span class='pre'>sClass</span> : string<div class='sub-desc'><p>Class to give the new TD cell</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>The row opened. Note that if the table row passed in as the\n   first parameter, is not found in the table, this method will silently\n   return.\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnPageChange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnPageChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnPageChange' class='name expandable'>fnPageChange</a>( <span class='pre'>mAction, [bRedraw]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Change the pagination - provides the internal logic for pagination in a simple API\nfunction. ...</div><div class='long'><p>Change the pagination - provides the internal logic for pagination in a simple API\nfunction. With this function you can have a DataTables table go to the next,\nprevious, first or last pages.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     oTable.fnPageChange( 'next' );\n   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mAction</span> : string|int<div class='sub-desc'><p>Paging action to take: \"first\", \"previous\", \"next\" or \"last\"\n   or page number to jump to (integer), note that page 0 is the first page.</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not\n @dtopt API</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnSetColumnVis' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSetColumnVis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSetColumnVis' class='name expandable'>fnSetColumnVis</a>( <span class='pre'>iCol, bShow, [bRedraw]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Show a particular column ...</div><div class='long'><p>Show a particular column</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Hide the second column after initialisation\n oTable.fnSetColumnVis( 1, false );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>The column whose display should be changed</p>\n</div></li><li><span class='pre'>bShow</span> : bool<div class='sub-desc'><p>Show (true) or hide (false) the column</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not\n @dtopt API</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnSettings' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSettings' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSettings' class='name expandable'>fnSettings</a>( <span class='pre'></span> ) : object<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Get the settings for a particular table for external manipulation ...</div><div class='long'><p>Get the settings for a particular table for external manipulation</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     var oSettings = oTable.fnSettings();</p>\n\n<pre><code> // Show an example parameter from the settings\n alert( oSettings._iDisplayStart );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>DataTables settings object. See\n   DataTable.models.oSettings\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSort' class='name expandable'>fnSort</a>( <span class='pre'>iCol</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Sort the table by a particular column ...</div><div class='long'><p>Sort the table by a particular column</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sort immediately with columns 0 and 1\n oTable.fnSort( [ [0,'asc'], [1,'asc'] ] );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>the data index to sort on. Note that this will not match the\n   'display index' if you have hidden data entries\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnSortListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSortListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSortListener' class='name expandable'>fnSortListener</a>( <span class='pre'>nNode, iColumn, [fnCallback]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Attach a sort listener to an element for a given column ...</div><div class='long'><p>Attach a sort listener to an element for a given column</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sort on column 1, when 'sorter' is clicked on\n oTable.fnSortListener( document.getElementById('sorter'), 1 );\n</code></pre>\n\n<p>   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nNode</span> : node<div class='sub-desc'><p>the element to attach the sort listener to</p>\n</div></li><li><span class='pre'>iColumn</span> : int<div class='sub-desc'><p>the column that a click on this node will sort on</p>\n</div></li><li><span class='pre'>fnCallback</span> : function (optional)<div class='sub-desc'><p>callback function when sort is run\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnUpdate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnUpdate' class='name expandable'>fnUpdate</a>( <span class='pre'>mData, mRow, [iColumn], [bRedraw], [bAction]</span> ) : int<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Update a table cell or row - this method will accept either a single value to\nupdate the cell with, an array of value...</div><div class='long'><p>Update a table cell or row - this method will accept either a single value to\nupdate the cell with, an array of values with one element for each column or\nan object in the same format as the original data source. The function is\nself-referencing in order to make the multi column updates easier.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     oTable.fnUpdate( 'Example update', 0, 0 ); // Single cell\n     oTable.fnUpdate( ['a', 'b', 'c', 'd', 'e'], $('tbody tr')[0] ); // Row\n   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mData</span> : object|array|string<div class='sub-desc'><p>Data to update the cell/row with</p>\n</div></li><li><span class='pre'>mRow</span> : node|int<div class='sub-desc'><p>TR element you want to update or the aoData index</p>\n</div></li><li><span class='pre'>iColumn</span> : int (optional)<div class='sub-desc'><p>The column to update, give as null or undefined to\n   update a whole row.</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>bAction</span> : bool (optional)<div class='sub-desc'><p>Perform pre-draw actions or not</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>0 on success, 1 on error\n @dtopt API</p>\n</div></li></ul></div></div></div><div id='method-fnVersionCheck' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnVersionCheck' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnVersionCheck' class='name expandable'>fnVersionCheck</a>( <span class='pre'>sVersion</span> ) : boolean<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Provide a common method for plug-ins to check the version of DataTables being used, in order\nto ensure compatibility. ...</div><div class='long'><p>Provide a common method for plug-ins to check the version of DataTables being used, in order\nto ensure compatibility.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprected</strong> </p>\n        <p>Since v1.10</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     alert( oTable.fnVersionCheck( '1.9.0' ) );\n   } );</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sVersion</span> : string<div class='sub-desc'><p>Version string to check for, in the format \"X.Y.Z\". Note that the\n   formats \"X\" and \"X.Y\" are also acceptable.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true if this version of DataTables is greater or equal to the required\n   version, or false if this version of DataTales is not suitable\n @dtopt API</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});