Ext.data.JsonP.jQuery_ui_remotesearchUiSuggest({"tagname":"class","name":"jQuery.ui.remotesearchUiSuggest","autodetected":{},"files":[{"filename":"suggest.js","href":"suggest.html#jQuery-ui-remotesearchUiSuggest"}],"extends":"jQuery.widget","uses":["de_epages","ep","ep.fn.contextOrientation","ep.ui.validate","jQuery.dict","jQuery.json","jQuery.tmpl","jQuery.ui.widget"],"since":"6.14.0","members":[{"name":"searchFilter","tagname":"cfg","owner":"jQuery.ui.remotesearchUiSuggest","id":"cfg-searchFilter","meta":{}},{"name":"showImages","tagname":"cfg","owner":"jQuery.ui.remotesearchUiSuggest","id":"cfg-showImages","meta":{}},{"name":"suggestChars","tagname":"cfg","owner":"jQuery.ui.remotesearchUiSuggest","id":"cfg-suggestChars","meta":{}},{"name":"suggestMax","tagname":"cfg","owner":"jQuery.ui.remotesearchUiSuggest","id":"cfg-suggestMax","meta":{}},{"name":"suggestUrl","tagname":"cfg","owner":"jQuery.ui.remotesearchUiSuggest","id":"cfg-suggestUrl","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.remotesearchUiSuggest","short_doc":"Show suggestions for query of an input. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.remotesearchUiSuggest</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'>ep.fn.contextOrientation</div><div class='dependency'>ep.ui.validate</div><div class='dependency'>jQuery.dict</div><div class='dependency'>jQuery.json</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/suggest.html#jQuery-ui-remotesearchUiSuggest' target='_blank'>suggest.js</a></div></pre><div class='doc-contents'><p>Show suggestions for query of an input.</p>\n\n<p>The <code>.remotesearchUiSuggest()</code> is only applicable to input elements from type text.</p>\n\n<p>This widget displays suggests for the current value of the input field while typing.</p>\n\n<h3>Examples</h3>\n\n<p>Apply .remotesearchUiSuggest() to input field with id 'ProductSearchField'.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>de_epages('#ProductSearchField')\n    .remotesearchUiSuggest({\n        suggestUrl: '?ViewAction=ViewRemoteSearchSuggests&amp;ObjectID=12345',\n        searchFilter: 'input[name=filter]',\n        suggestMax: 8,\n        showImages: false\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;form action=\"?ViewAction=ViewRemoteSearchResults&amp;ObjectID=12345\" method=\"post\"&gt;\n  &lt;input type=\"hidden\" name=\"filter\"/&gt;\n  &lt;input type=\"text\" name=\"SearchString\" id=\"ProductSearchField\" value=\"\"/&gt;\n  &lt;button type=\"submit\" name=\"SearchButton\"&gt;{Search}&lt;/button&gt;\n&lt;/form&gt;\n</code></pre>\n        <p>Available since: <b>6.14.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-searchFilter' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.remotesearchUiSuggest'>jQuery.ui.remotesearchUiSuggest</span><br/><a href='source/suggest.html#jQuery-ui-remotesearchUiSuggest-cfg-searchFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.remotesearchUiSuggest-cfg-searchFilter' class='name expandable'>searchFilter</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A string containing a selector expression, a DOM element, an existing jQuery object for the filter input.</p>\n</div><div class='long'><p>A string containing a selector expression, a DOM element, an existing jQuery object for the filter input.</p>\n</div></div></div><div id='cfg-showImages' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.remotesearchUiSuggest'>jQuery.ui.remotesearchUiSuggest</span><br/><a href='source/suggest.html#jQuery-ui-remotesearchUiSuggest-cfg-showImages' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.remotesearchUiSuggest-cfg-showImages' class='name expandable'>showImages</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication whether to display images in the suggest list.</p>\n</div><div class='long'><p>A boolean indication whether to display images in the suggest list.</p>\n</div></div></div><div id='cfg-suggestChars' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.remotesearchUiSuggest'>jQuery.ui.remotesearchUiSuggest</span><br/><a href='source/suggest.html#jQuery-ui-remotesearchUiSuggest-cfg-suggestChars' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.remotesearchUiSuggest-cfg-suggestChars' class='name expandable'>suggestChars</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An integer value of minimum required characters to start the suggest search.</p>\n</div><div class='long'><p>An integer value of minimum required characters to start the suggest search.</p>\n</div></div></div><div id='cfg-suggestMax' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.remotesearchUiSuggest'>jQuery.ui.remotesearchUiSuggest</span><br/><a href='source/suggest.html#jQuery-ui-remotesearchUiSuggest-cfg-suggestMax' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.remotesearchUiSuggest-cfg-suggestMax' class='name expandable'>suggestMax</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An integer value of maximum displayed suggestions.</p>\n</div><div class='long'><p>An integer value of maximum displayed suggestions.</p>\n</div></div></div><div id='cfg-suggestUrl' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.remotesearchUiSuggest'>jQuery.ui.remotesearchUiSuggest</span><br/><a href='source/suggest.html#jQuery-ui-remotesearchUiSuggest-cfg-suggestUrl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.remotesearchUiSuggest-cfg-suggestUrl' class='name expandable'>suggestUrl</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A url to get suggestions for the query, the server needs to support JSONP via the callback argument.</p>\n</div><div class='long'><p>A url to get suggestions for the query, the server needs to support JSONP via the callback argument.</p>\n</div></div></div></div></div></div></div>","meta":{}});